#modname "Better Independents"
#modversion 1.0
#domversion 3.06
#description "This mod increases the gold cost of most independent units to 9000 and their resource cost to 800, leaving only the good ones available."
#icon "Better_Independents.tga"


/*

   This mod disables most independent units. All units in the various Independent population types have been
   included and their gold cost set to 9000 and resource cost to 800. Those units considered actually worthwhile,
   such as the more powerful Heavy Cavalry and all Crossbowmen have been included but not modified.
   
   Light Cavalry (26) and Slinger (50) have not been modified due to appearing in national army lists.
   Militia (30) is available through an event and also in some army lists and is thus not disabled.

   Of the Independent commanders, only the three infantry Commanders, the Barbarian Chief and Horse Tribe Chief
   have been modded to be unusable, to discourage the AI from making hordes of useless commanders.

   Some of the other independent units have NOT been modded, for the following reasons:
   - Units that appear through summons
   - Units that belong to poptypes so rare (or disabled) that they are not a factor
   - Units that have been deemed to be actually useful; high enough quality (e.g. Heavy Cavalry) or capable of special roles (Raptors)
   - Units that belong to national army lists, so that nations are not broken. This means some units will be available
   - Amphibian & aquatic units so that land nations can enter the sea, hard enough already and impossible otherwise
   - Commanders, with the exceptions mentioned above

   The units that have NOT been and WILL NOT be modded at all are:

  150 Elephant
  205 Raptor
  206 Shambler
  282 Wolf Rider
  348 Amazon - Crystal
  351 Amazon - Garnet
  354 Amazon - Jade
  357 Amazon - Onyx
  367 Pegasus Rider
  369 Nightmare
  370 Jade Maiden
  447 Troglodyte
  518 Troll
  541 Vaetti
  545 Shark Knight
  573 Amber Clan Guard
  574 Amber Clan Triton
  577 Triton Trooper
  612 Gryphon Rider
  974 Ichtyid
  975 Ichtyid Warrior
  1001 Asmeg
  1037 War Troll
  1060 Triton Knight
  1065 Merman
  1085 Moose Riders
  1086 Troll Moose Knight
  1121 Atavi Archer
  1122 Atavi Infantry
  1187 Cataphract
  1394 Bakemono-sho
  1395 Bakemono-sho
  1465 Pale One
  1550 Kappa

*/



-- Light Cavalry
#selectmonster 24 
#gcost 9000
#rcost 800
#end

-- Light Cavalry
#selectmonster 25 
#gcost 9000
#rcost 800
#end

-- Light Cavalry
#selectmonster 26
#end

-- Cataphract
#selectmonster 1187
#end

-- Heavy Cavalry /w Sword & Full Scale Mail
#selectmonster 19
#end

-- "Heavy" Cavalry /w Light Lance & Scale Hauberk
#selectmonster 20
#gcost 9000
#rcost 800
#end

-- Heavy Cavalry /w Morningstar & Full Chain Mail
#selectmonster 21
#end

-- Knight
#selectmonster 22
#end

-- Knight Commander
#selectmonster 23
#end

- Militia
#selectmonster 18
#gcost 9000
#rcost 800
#end

-- Militia
#selectmonster 30
#gcost 7
#rcost 800
#end

-- Militia
#selectmonster 31
#gcost 9000
#rcost 800
#end

-- Light Infantry /no Javelin
#selectmonster 28
#gcost 9000
#rcost 800
#end

-- Light Infantry /w Javelin
#selectmonster 29
#end

-- Heavy Infantry /w Spear
#selectmonster 38
#gcost 9000
#rcost 800
#end

-- Heavy Infantry /w Sword & Scale Mail
#selectmonster 39
#end

-- Heavy Infantry /w Sword & Chain Mail
#selectmonster 40
#end

-- Archer
#selectmonster 17 
#gcost 9000
#rcost 800
#end

-- Archer
#selectmonster 32
#gcost 9000
#rcost 800
#end

-- Archer
#selectmonster 33
#gcost 9000
#rcost 800
#end

-- Crossbow
#selectmonster 47
#end

-- Crossbow
#selectmonster 48
#end

-- Crossbow
#selectmonster 49
#end

-- Slinger
#selectmonster 50
#end

-- Longbowman
#selectmonster 55
#end

-- Commander
#selectmonster 34
#gcost 9000
#rcost 800
#end

-- Commander
#selectmonster 35
#gcost 9000
#rcost 800
#end

-- Commander
#selectmonster 36
#gcost 9000
#rcost 800
#end

-- Mounted Commander
#selectmonster 44
#end

-- Mounted Commander
#selectmonster 45
#end

-- Mounted Commander
#selectmonster 46
#end

-- Woodsman Blowpipe
#selectmonster 125
#gcost 9000
#rcost 800
#end

-- Woodsman
#selectmonster 126
#end

-- Horse Tribe Chief
#selectmonster 136
#gcost 9000
#rcost 800
#end

-- Horse Tribe Cavalry
#selectmonster 137
#gcost 9000
#rcost 800
#end

-- Barbarian
#selectmonster 139
#gcost 9000
#rcost 800
#end

-- Barbarian
#selectmonster 140
#gcost 9000
#rcost 800
#end

-- Barbarian Chief
#selectmonster 141
#gcost 9000
#rcost 800
#end

-- Triton /w Coral Knife
#selectmonster 176
#gcost 9000
#rcost 800
#end

-- Burgmeister Guard
#selectmonster 271
#end

-- Hoburg Crossbow
#selectmonster 273
#end

-- Amazon (Crystal)
#selectmonster 348
#end

-- Lizard Warrior
#selectmonster 423
#gcost 9000
#rcost 800
#end

-- Hoburg Militia
#selectmonster 483
#gcost 9000
#rcost 800
#end

-- Markata
#selectmonster 1118
#end

-- Wolf Tribe Archer
#selectmonster 123
#gcost 9000
#rcost 800
#end

-- Wolf Tribe Warrior
#selectmonster 124
#gcost 9000
#rcost 800
#end

-- Bear Tribe Warrior
#selectmonster 1592
#gcost 9000
#rcost 800
#end

-- Bear Tribe Warrior
#selectmonster 1593
#gcost 9000
#rcost 800
#end

-- Deer Tribe Warrior
#selectmonster 1594
#gcost 9000
#rcost 800
#end

-- Deer Tribe Archer
#selectmonster 1595
#gcost 9000
#rcost 800
#end

-- Lion Tribe Warrior
#selectmonster 1600
#gcost 9000
#rcost 800
#end

-- Lion Tribe Archer
#selectmonster 1601
#gcost 9000
#rcost 800
#end

-- Jaguar Tribe Slinger
#selectmonster 1610
#gcost 9000
#rcost 800
#end

-- Jaguar Tribe Warrior
#selectmonster 1611
#gcost 9000
#rcost 800
#end

-- Caveman
#selectmonster 1615
#end




